Package wx :: Package py :: Module filling

[frames | no frames]

## Module wx.py.filling

Filling is the gui tree control through which a user can navigate the local namespace or any object.

Classes
`App` | PyFilling standalone application.
`Filling` | Filling based on wxSplitterWindow.
`FillingFrame` | Frame containing the namespace tree component.
`FillingText` | FillingText based on StyledTextCtrl.
`FillingTree` | FillingTree based on TreeCtrl.

Variable Summary
`str` | `__author__` = `"Patrick K. O'Brien <pobrien@orbtech.com>"`
`str` | `__cvsid__` = `'$Id: filling.py,v 1.7 2006/02/18 21:40:57 R...`
`str` | `__revision__` = `'1.7'`
`list` | `COMMONTYPES` = `[<type 'bool'>, <type 'buffer'>, <type 'bu...`
`tuple` | `DOCTYPES` = `('BuiltinFunctionType', 'BuiltinMethodType', ...`
`list` | `SIMPLETYPES` = `[<type 'bool'>, <type 'buffer'>, <type 'co...`

Variable Details

### __author__

  Type:
    `str`
  Value:

        "Patrick K. O'Brien <pobrien@orbtech.com>"

### __cvsid__

  Type:
    `str`
  Value:

        '$Id: filling.py,v 1.7 2006/02/18 21:40:57 RD Exp $'

### __revision__

  Type:
    `str`
  Value:

        '1.7'

### COMMONTYPES

  Type:
    `list`
  Value:

        [<type 'bool'>,
         <type 'buffer'>,
         <type 'builtin_function_or_method'>,
         <type 'builtin_function_or_method'>,
         <type 'code'>,
         <type 'complex'>,
         <type 'dictproxy'>,
         <type 'dict'>,
        ...

### DOCTYPES

  Type:
    `tuple`
  Value:

        ('BuiltinFunctionType',
         'BuiltinMethodType',
         'ClassType',
         'FunctionType',
         'GeneratorType',
         'InstanceType',
         'LambdaType',
         'MethodType',
        ...

### SIMPLETYPES

  Type:
    `list`
  Value:

        [<type 'bool'>,
         <type 'buffer'>,
         <type 'code'>,
         <type 'complex'>,
         <type 'dictproxy'>,
         <type 'dict'>,
         <type 'dict'>,
         <type 'ellipsis'>,
        ...

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:43 2007 | http://epydoc.sf.net